Card with chipset BCM4360 [14e4:43a0] (rev 03) doesn't see 5Ghz networks with high channel number.

Bug #1574196 reported by Matteo on 2016-04-24
82
This bug affects 15 people
Affects Status Importance Assigned to Milestone
bcmwl (Ubuntu)
Undecided
Unassigned

Bug Description

The card Broadcom Corporation BCM4360 802.11ac Wireless Network Adapter [14e4:43a0] (rev 03) doesn't see 5Ghz networks with an high channel number, if you change the channel back to a lower one the network will be found again.

In my case with channel 104 the network wasn't seen by the card, with channel 40 it works fine

wireless-info script result:

########## wireless info START ##########

Report from: 22 Apr 2016 19:23 CEST +0200

Booted last: 22 Apr 2016 18:51 CEST +0200

Script from: 27 Sep 2015 00:34 UTC +0000

##### release ###########################

Distributor ID: Ubuntu
Description: Ubuntu 14.04.4 LTS
Release: 14.04
Codename: trusty

##### kernel ############################

Linux 3.13.0-85-generic #129-Ubuntu SMP Thu Mar 17 20:50:15 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Parameters: ro, quiet, splash, vt.handoff=7

##### desktop ###########################

Ubuntu

##### lspci #############################

03:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [10ec:8168] (rev 06)
 Subsystem: Micro-Star International Co., Ltd. [MSI] Device [1462:7758]
 Kernel driver in use: r8169

04:00.0 Network controller [0280]: Broadcom Corporation BCM4360 802.11ac Wireless Network Adapter [14e4:43a0] (rev 03)
 Subsystem: Broadcom Corporation Device [14e4:0619]
 Kernel driver in use: wl

##### lsusb #############################

Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 005: ID 0424:2514 Standard Microsystems Corp. USB 2.0 Hub
Bus 001 Device 004: ID 1532:0016 Razer USA, Ltd DeathAdder Mouse
Bus 001 Device 003: ID 258a:0001
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

##### PCMCIA card info ##################

##### rfkill ############################

0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: brcmwl-0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

##### lsmod #############################

wl 6367819 0
mxm_wmi 13021 1 nouveau
wmi 19177 2 mxm_wmi,nouveau
cfg80211 496328 1 wl

##### interfaces ########################

auto lo
iface lo inet loopback

##### ifconfig ##########################

eth0 Link encap:Ethernet HWaddr <MAC 'eth0' [IF]>
          UP BROADCAST MULTICAST MTU:1500 Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 B) TX bytes:0 (0.0 B)

virbr0 Link encap:Ethernet HWaddr <MAC 'virbr0' [IF]>
          inet addr:192.168.122.1 Bcast:192.168.122.255 Mask:255.255.255.0
          UP BROADCAST MULTICAST MTU:1500 Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:0 (0.0 B) TX bytes:0 (0.0 B)

wlan2 Link encap:Ethernet HWaddr <MAC 'wlan2' [IF]>
          inet addr:192.168.1.6 Bcast:192.168.1.255 Mask:255.255.255.0
          inet6 addr: fe80::<IP6 'wlan2' [IF]>/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:45040 errors:0 dropped:0 overruns:0 frame:7469
          TX packets:33232 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:33581962 (33.5 MB) TX bytes:6334838 (6.3 MB)
          Interrupt:18

##### iwconfig ##########################

eth0 no wireless extensions.

lo no wireless extensions.

virbr0 no wireless extensions.

wlan2 IEEE 802.11abg ESSID:"LamerTexWiFi"
          Mode:Managed Frequency:2.437 GHz Access Point: <MAC 'LamerTexWiFi' [AC1]>
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off

##### route #############################

Kernel IP routing table
Destination Gateway Genmask Flags Metric Ref Use Iface
0.0.0.0 192.168.1.1 0.0.0.0 UG 0 0 0 wlan2
192.168.1.0 0.0.0.0 255.255.255.0 U 9 0 0 wlan2
192.168.122.0 0.0.0.0 255.255.255.0 U 0 0 0 virbr0

##### resolv.conf #######################

nameserver 8.8.8.8
nameserver 8.8.4.4
nameserver 127.0.1.1
search homenet.telecomitalia.it

##### network managers ##################

Installed:

 NetworkManager

Running:

root 939 1 0 18:51 ? 00:00:00 NetworkManager

##### NetworkManager info ###############

NetworkManager Tool

State: connected (global)

- Device: wlan2 [LamerTexWiFi] ------------------------------------------------
  Type: 802.11 WiFi
  Driver: wl
  State: connected
  Default: yes
  HW Address: <MAC 'wlan2' [IF]>

  Capabilities:
    Speed: 65 Mb/s

  Wireless Properties
    WEP Encryption: yes
    WPA Encryption: yes
    WPA2 Encryption: yes

  Wireless Access Points (* = current AP)
    Vodafone-26536152: Infra, <MAC 'Vodafone-26536152' [AN1]>, Freq 2437 MHz, Rate 54 Mb/s, Strength 45 WPA2
    Vodafone-WiFi: Infra, <MAC 'Vodafone-WiFi' [AN2]>, Freq 2437 MHz, Rate 54 Mb/s, Strength 45
    *LamerTexWiFi: Infra, <MAC 'LamerTexWiFi' [AC1]>, Freq 2437 MHz, Rate 54 Mb/s, Strength 67 WPA WPA2

  IPv4 Settings:
    Address: 192.168.1.6
    Prefix: 24 (255.255.255.0)
    Gateway: 192.168.1.1

    DNS: 8.8.8.8
    DNS: 8.8.4.4
    DNS: 192.168.1.1

- Device: eth0 -----------------------------------------------------------------
  Type: Wired
  Driver: r8169
  State: unavailable
  Default: no
  HW Address: <MAC 'eth0' [IF]>

  Capabilities:
    Carrier Detect: yes

  Wired Properties
    Carrier: off

##### NetworkManager.state ##############

[main]
NetworkingEnabled=true
WirelessEnabled=true
WWANEnabled=true
WimaxEnabled=true

##### NetworkManager.conf ###############

[main]
plugins=ifupdown,keyfile,ofono
dns=dnsmasq

no-auto-default=<MAC 'eth0' [IF]>,

[ifupdown]
managed=false

##### NetworkManager profiles ###########

[[/etc/NetworkManager/system-connections/LamerTexWiFi]] (600 root)
[connection] id=LamerTexWiFi | type=802-11-wireless
[802-11-wireless] ssid=LamerTexWiFi | mac-address=<MAC 'wlan2' [IF]>
[ipv4] method=auto
[ipv6] method=auto

[[/etc/NetworkManager/system-connections/LamerTexWiFi5Ghz]] (600 root)
[connection] id=LamerTexWiFi5Ghz | type=802-11-wireless
[802-11-wireless] ssid=LamerTexWiFi5Ghz | mac-address=<MAC 'wlan2' [IF]>
[ipv4] method=auto
[ipv6] method=auto

##### iw reg get ########################

Region: Europe/Rome (based on set time zone)

country 00:
 (2402 - 2472 @ 40), (3, 20)
 (2457 - 2482 @ 40), (3, 20), PASSIVE-SCAN, NO-IBSS
 (2474 - 2494 @ 20), (3, 20), NO-OFDM, PASSIVE-SCAN, NO-IBSS
 (5170 - 5250 @ 40), (3, 20), PASSIVE-SCAN, NO-IBSS
 (5735 - 5835 @ 40), (3, 20), PASSIVE-SCAN, NO-IBSS

##### iwlist channels ###################

eth0 no frequency information.

lo no frequency information.

virbr0 no frequency information.

wlan2 32 channels in total; available frequencies :
          Channel 01 : 2.412 GHz
          Channel 02 : 2.417 GHz
          Channel 03 : 2.422 GHz
          Channel 04 : 2.427 GHz
          Channel 05 : 2.432 GHz
          Channel 06 : 2.437 GHz
          Channel 07 : 2.442 GHz
          Channel 08 : 2.447 GHz
          Channel 09 : 2.452 GHz
          Channel 10 : 2.457 GHz
          Channel 11 : 2.462 GHz
          Channel 12 : 2.467 GHz
          Channel 13 : 2.472 GHz
          Channel 14 : 2.484 GHz
          Channel 36 : 5.18 GHz
          Channel 38 : 5.19 GHz
          Channel 40 : 5.2 GHz
          Channel 42 : 5.21 GHz
          Channel 44 : 5.22 GHz
          Channel 46 : 5.23 GHz
          Channel 48 : 5.24 GHz
          Channel 149 : 5.745 GHz
          Channel 150 : 5.75 GHz
          Channel 151 : 5.755 GHz
          Channel 152 : 5.76 GHz
          Channel 153 : 5.765 GHz
          Channel 154 : 5.77 GHz
          Channel 155 : 5.775 GHz
          Channel 156 : 5.78 GHz
          Channel 157 : 5.785 GHz
          Channel 158 : 5.79 GHz
          Channel 159 : 5.795 GHz
          Current Frequency:2.437 GHz (Channel 6)

##### iwlist scan #######################

eth0 Interface doesn't support scanning.

lo Interface doesn't support scanning.

virbr0 Interface doesn't support scanning.

Channel occupancy:

      1 APs on Frequency:2.437 GHz (Channel 6)

wlan2 Scan completed :
          Cell 01 - Address: <MAC 'LamerTexWiFi' [AC1]>
                    Channel:6
                    Frequency:2.437 GHz (Channel 6)
                    Quality=55/70 Signal level=-55 dBm
                    Encryption key:on
                    ESSID:"LamerTexWiFi"
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 18 Mb/s
                              24 Mb/s; 36 Mb/s; 54 Mb/s
                    Bit Rates:6 Mb/s; 9 Mb/s; 12 Mb/s; 48 Mb/s
                    Mode:Master
                    Extra:tsf=0000000000000000
                    Extra: Last beacon: 28ms ago
                    IE: IEEE 802.11i/WPA2 Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (1) : CCMP
                        Authentication Suites (1) : PSK
                    IE: WPA Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (1) : TKIP
                        Authentication Suites (1) : PSK

##### module infos ######################

[wl]
filename: /lib/modules/3.13.0-85-generic/updates/dkms/wl.ko
license: MIXED/Proprietary
srcversion: 3F8570547EE3A2BA3D5D734
depends: cfg80211
vermagic: 3.13.0-85-generic SMP mod_unload modversions
parm: passivemode:int
parm: wl_txq_thresh:int
parm: oneonly:int
parm: piomode:int
parm: instance_base:int
parm: nompc:int
parm: intf_name:string

[cfg80211]
filename: /lib/modules/3.13.0-85-generic/kernel/net/wireless/cfg80211.ko
description: wireless configuration support
license: GPL
author: Johannes Berg
srcversion: 695424C2F5CD23A91B67E25
depends:
intree: Y
vermagic: 3.13.0-85-generic SMP mod_unload modversions
signer: Magrathea: Glacier signing key
sig_key: C6:33:E9:BF:A6:CA:49:D5:3D:2E:B5:25:6A:35:87:7D:04:F1:64:F8
sig_hashalgo: sha512
parm: ieee80211_regdom:IEEE 802.11 regulatory domain code (charp)
parm: cfg80211_disable_40mhz_24ghz:Disable 40MHz support in the 2.4GHz band (bool)

##### module parameters #################

[cfg80211]
cfg80211_disable_40mhz_24ghz: N
ieee80211_regdom: 00

##### /etc/modules ######################

lp
rtc
nouveau

##### modprobe options ##################

[/etc/modprobe.d/blacklist-ath_pci.conf]
blacklist ath_pci

[/etc/modprobe.d/blacklist-bcm43.conf]
blacklist b43
blacklist b43legacy
blacklist ssb
blacklist bcm43xx
blacklist brcm80211
blacklist brcmfmac
blacklist brcmsmac
blacklist bcma

[/etc/modprobe.d/blacklist.conf]
blacklist evbug
blacklist usbmouse
blacklist usbkbd
blacklist eepro100
blacklist de4x5
blacklist eth1394
blacklist snd_intel8x0m
blacklist snd_aw2
blacklist i2c_i801
blacklist prism54
blacklist bcm43xx
blacklist garmin_gps
blacklist asus_acpi
blacklist snd_pcsp
blacklist pcspkr
blacklist amd76x_edac

[/etc/modprobe.d/blacklist-rare-network.conf]
alias net-pf-3 off
alias net-pf-6 off
alias net-pf-9 off
alias net-pf-11 off
alias net-pf-12 off
alias net-pf-19 off
alias net-pf-21 off
alias net-pf-36 off

[/etc/modprobe.d/iwlwifi.conf]
remove iwlwifi \
(/sbin/lsmod | grep -o -e ^iwlmvm -e ^iwldvm -e ^iwlwifi | xargs /sbin/rmmod) \
&& /sbin/modprobe -r mac80211

[/etc/modprobe.d/libopenni-sensor-pointclouds0.conf]
blacklist gspca_kinect

[/etc/modprobe.d/libopenni-sensor-primesense0.conf]
blacklist gspca_kinect

[/etc/modprobe.d/mlx4.conf]
softdep mlx4_core post: mlx4_en

[/etc/modprobe.d/qemu-system-x86.conf]
options kvm_intel nested=1

##### rc.local ##########################

exit 0

##### pm-utils ##########################

[/etc/pm/sleep.d/50-razer] (755 root)
razer_suspend()
{
 true # Do nothing
}
razer_resume()
{
 /usr/local/bin/razercfg -B -K
}
case $1 in
 hibernate|suspend)
  razer_suspend
  ;;
 resume|thaw)
  razer_resume
  ;;
esac

##### udev rules ########################

[/etc/udev/rules.d/70-persistent-net.rules]
# PCI device 0x10ec:0x8168 (r8169)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*", ATTR{address}=="<MAC 'eth0' [IF]>", ATTR{dev_id}=="0x0", ATTR{type}=="1", KERNEL=="eth*", NAME="eth0"
# PCI device 0x168c:0x002b (ath9k)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*", ATTR{address}=="<MAC address>", ATTR{dev_id}=="0x0", ATTR{type}=="1", KERNEL=="wlan*", NAME="wlan0"
# USB device 0x:0x (rtl8192cu)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*", ATTR{address}=="<MAC address>", ATTR{dev_id}=="0x0", ATTR{type}=="1", KERNEL=="wlan*", NAME="wlan1"
# PCI device 0x14e4:0x43a0 (wl)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*", ATTR{address}=="<MAC 'wlan2' [IF]>", ATTR{dev_id}=="0x0", ATTR{type}=="1", KERNEL=="eth*", NAME="eth1"
# PCI device 0x14e4:0x43a0 (wl)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*", ATTR{address}=="<MAC 'wlan2' [IF]>", ATTR{dev_id}=="0x0", ATTR{type}=="1", KERNEL=="wlan*", NAME="wlan2"

##### dmesg #############################

[ 2.335447] r8169 0000:03:00.0 eth0: link down
[ 2.335482] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready (repeated 2 times)
[ 3.827460] IPv6: ADDRCONF(NETDEV_UP): virbr0: link is not ready
[ 760.676704] r8169 0000:03:00.0 eth0: link down
[ 760.676777] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 1975.567989] ERROR @wl_dev_intvar_get : error (-1)

########## wireless info END ############

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: bcmwl-kernel-source 6.30.223.248+bdcom-0ubuntu0.2
ProcVersionSignature: Ubuntu 3.13.0-85.129-generic 3.13.11-ckt36
Uname: Linux 3.13.0-85-generic x86_64
NonfreeKernelModules: nvidia_modeset wl nvidia
ApportVersion: 2.14.1-0ubuntu3.19
Architecture: amd64
CurrentDesktop: Unity
Date: Sun Apr 24 10:48:38 2016
InstallationDate: Installed on 2014-04-18 (736 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
SourcePackage: bcmwl
UpgradeStatus: No upgrade log present (probably fresh install)

Matteo (lamertex) wrote :
summary: The card Broadcom Corporation BCM4360 802.11ac Wireless Network Adapter
- [14e4:43a0] (rev 03) doesn't see 5Ghz networks anymore, it used to work
- with both bands, from one day to the other 5Ghz stopped working
+ [14e4:43a0] (rev 03) doesn't see 5Ghz networks anymore.
summary: - The card Broadcom Corporation BCM4360 802.11ac Wireless Network Adapter
- [14e4:43a0] (rev 03) doesn't see 5Ghz networks anymore.
+ The card BCM4360 802.11ac [14e4:43a0] (rev 03) doesn't see 5Ghz networks
+ anymore.
Matteo (lamertex) on 2016-04-24
description: updated
Matteo (lamertex) on 2016-04-25
summary: The card BCM4360 802.11ac [14e4:43a0] (rev 03) doesn't see 5Ghz networks
- anymore.
+ with high channel number.
description: updated
summary: - The card BCM4360 802.11ac [14e4:43a0] (rev 03) doesn't see 5Ghz networks
- with high channel number.
+ Card with chipset BCM4360 [14e4:43a0] (rev 03) doesn't see 5Ghz
+ networks with high channel number.
Matteo (lamertex) on 2016-04-25
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bcmwl (Ubuntu):
status: New → Confirmed

I have the same issue, here is an Ask Ubuntu with my wireless info as well, in case that helps in any way: http://askubuntu.com/questions/749420/wireless-lost-ability-to-use-5ghz-pce-ac68

carlinyos18 (carlinyos18) wrote :

Any updates? Im running ubuntu 16.10 with an archer t8e and still no 5ghz. In my case theres no country code, so only 64 and 66 channels are shown were i use "iwlist wlp3s0 freq". My wifi is in channel 100.

Matthäus Brandl (matthaeus) wrote :

Is it possible that the driver doesn't support the DFS channels? (they must be yielded to prioritized users such as weather radar)
https://www.wi-fi.org/knowledge-center/faq/what-is-dynamic-frequency-selection-dfs

Laryllan (laryllan) wrote :

Same problem here, maybe it doesn't respect the crda settings provided by Ubuntu?
https://packages.ubuntu.com/artful/crda

zebul666 (zebul666) wrote :

Same here, channels 12 and 13 are not seen while crda is set to use FR region

Damir (damir-sultanbekov) wrote :

Same problem. My card is TP-Link Archer T6E

negora (negora) wrote :

I've an ASUS PCE-AC68 card and, years ago, I gave up configuring it with DFS channels. Apparently, it wasn't able to see them. I even thought that they were forbidden in my country...

Months ago, while I was doing some bandwidth tests, I decided to try again. I switched the channel to a DFS one in my router (an ASUS RT-AC68U) and, initially, the card couldn't see the new channel either. But I waited 5-6 minutes and, for my surprise, the card was able to detect it! I decided to wait so much time because I had read, somewhere, that DFS channels might take even minutes to be detected. And indeed, that was the case with this ASUS card. The Intel card of my laptop, though, detects it immediately.

My tests were made with Debian 9 and the driver "broadcom-sta-dkms" 6.30.223.271-5 .

Laryllan (laryllan) wrote :

Which channel did you use exactly?
After reboot, how long does it take to find the channel again?

negora (negora) wrote :

Hi again. I'm sorry to say that I remembered wrong :( . I would swear to have seen the DFS channels when running the command "nmcli device wifi list" with the PCE-AC68, but I'm being unable to reproduce that situation again. Neither with Debian 9 nor Windows 10. So I guess that I mixed up the results of one card with this one. My apologies.

Happening to me too.

Nikolay Kichukov (hijacker-c) wrote :

same here, GNU/Gentoo Linux with broadcom-sta driver package. 5 Ghz band works only if a lower channel is configured on the AP.

M. Gonzalez (whatausername64) wrote :

I have an Asus PCE-AC56, with a BCM4352 chip and currently using bcmwl-kernel-source drivers, and it's also affecting me.

M. Gonzalez (whatausername64) wrote :

Also that on 5GHz, channels 40 and 48 do work, but any higher than that and the wifi card isn't able to see the WiFi anymore

tested it myself, and including channel 52 and 56 aren't able to show

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers